import request from '/@/utils/request'

// 查询字典数据列表
export function getList(params?: any) {
  return request({
    url: '/system/dict/data/list',
    method: 'get',
    params,
  })
}

// 新增字典数据
export const doAdd = (data: any) => {
  return request({
    url: '/system/dict/data',
    method: 'post',
    data,
  })
}

// 修改字典数据
export const doEdit = (data: any) => {
  return request({
    url: '/system/dict/data',
    method: 'put',
    data,
  })
}

// 删除字典数据
export const doDelete = (dictCode: any) => {
  return request({
    url: `/system/dict/data/${dictCode}`,
    method: 'delete',
  })
}

// 查询字典数据详细
export function getData(dictCode: any) {
  return request({
    url: `/system/dict/data/${dictCode}`,
    method: 'get',
  })
}

// 根据字典类型查询字典数据信息
export function getDicts(dictType: any) {
  return request({
    url: `/system/dict/data/type/${dictType}`,
    method: 'get',
  })
}
